package net.sourceforge.basher;

/**
 * @author Johan Lindquist
 */
public class YourKitProfilerContext extends ProfilerContext
{
    private boolean garbageCollectBeforeStart = true;
    private boolean garbageCollectAfterStop = true;

    public boolean isGarbageCollectBeforeStart()
    {
        return garbageCollectBeforeStart;
    }

    public void setGarbageCollectBeforeStart(final boolean garbageCollectBeforeStart)
    {
        this.garbageCollectBeforeStart = garbageCollectBeforeStart;
    }

    public boolean isGarbageCollectAfterStop()
    {
        return garbageCollectAfterStop;
    }

    public void setGarbageCollectAfterStop(final boolean garbageCollectAfterStop)
    {
        this.garbageCollectAfterStop = garbageCollectAfterStop;
    }

    @Override
    public String toString()
    {
        return "YourKitProfilerContext{" +
                "garbageCollectBeforeStart=" + garbageCollectBeforeStart +
                ", garbageCollectAfterStop=" + garbageCollectAfterStop +
                "} " + super.toString();
    }

    @Override
    public boolean equals(final Object o)
    {
        if (this == o)
        {
            return true;
        }
        if (o == null || getClass() != o.getClass())
        {
            return false;
        }

        final YourKitProfilerContext that = (YourKitProfilerContext) o;

        if (garbageCollectAfterStop != that.garbageCollectAfterStop)
        {
            return false;
        }
        if (garbageCollectBeforeStart != that.garbageCollectBeforeStart)
        {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode()
    {
        int result = (garbageCollectBeforeStart ? 1 : 0);
        result = 31 * result + (garbageCollectAfterStop ? 1 : 0);
        return result;
    }
}