package net.sourceforge.basher.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/** Defines the name of the task.
 * @author Johan Lindquist
 * @version $Revision$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface BasherName
{
    /** Defines the name of the task.
     *
     * @return The name
     */
    String name();
}