package net.sourceforge.basher.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import net.sourceforge.basher.Phase;

/**  Indicates that the method should be used for retrieving the tasks that will 'follow' this task.
 * @author Johan Lindquist
 */
@Retention( RetentionPolicy.RUNTIME)
@Target( ElementType.METHOD)
public @interface BasherFollowers
{
}