package net.sourceforge.basher.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/** Indicates that the annotated class should be treated as a Basher task
 *
 * @author Johan Lindquist
 */
@Retention( RetentionPolicy.RUNTIME)
@Target( ElementType.TYPE)
public @interface BasherTask
{
}